Skip to main content
PUT
Add user as driver

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider the vehicles belong to

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicles belong to

Required string length: 3
vehicleId
string
required

The id of the vehicle

Body

application/json

The request body contains information about the user that should be added as a driver

mobilityProviderCountryCode
string
required

Mobility provider country code

Required string length: 2
Example:

"AT"

mobilityProviderCode
string
required

Mobility provider code

Required string length: 3
Example:

"ABC"

customerId
string<uuid>
required

The user id in UUID format (only the versions 1, 2, 3 and 4 are currently supported)

Example:

"828c2d1c-d933-4138-9577-02c292b6d869"

Response

Successfully added the user as a driver